Compiling eclipse 4.8

roccobaroccoSC

Aspiring Daemon

Reaction score: 145
Messages: 600

Hi,

I am trying to compile eclipse 4.8 on FreeBSD 11.2 by using the instructions from the eclipse wiki: http://wiki.eclipse.org/Platform-releng/Platform_Build#cloning_platform_source_tree
I noticed that it produces only binaries for linux, windows and macos, so it obviously needs patching.

The current port java/eclipse 4.6 downloads an .xz file containing the patched sources (maintainer ljboiler). Searching for "freebsd" I found a couple of hits and a make file "make_freebsd.mak".

Bash:
% grep -Ri freebsd *
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_freebsd.mak:       -I$(JAVA_HOME)/include/freebsd \
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_freebsd.mak:               -DFREEBSD -DGTK \
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_freebsd.mak:               -I$(JAVA_HOME)/include/freebsd \
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh:       "FreeBSD")
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh:               SWT_OS=freebsd
eclipse.platform.swt/bundles/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh:               MAKEFILE=make_freebsd.mak
rt.equinox.framework/bundles/org.eclipse.osgi/container/src/org/eclipse/osgi/internal/framework/osname.aliases:FreeBSD                                  # FreeBSD
Has anyone already compiled 4.8? Is it enough to just merge the diff from 4.6, or one needs to tweak more?

Does anyone know if newer eclipse versions are planned to be ported too?

Thanks!
 

ljboiler

Well-Known Member

Reaction score: 114
Messages: 371

Greetings roccobaroccoSC !

As the maintainer of eclipse, I can tell you there's definitely a lot more to tweak. Last year, with other things going on, I didn't really have any extra time to devote to keeping up with it, especially since they changed something in 4.6.3 that didn't allow me to cleanly move from the current 4.6 with the existing patches. I've managed to start looking at it again, and have worked my way up to getting 4.7.3a to build and at least start up. Started looking at 4.8, but again something has been changed where using the previous patches isn't enough, and I need to dig into it deeper.
 
OP
OP
roccobaroccoSC

roccobaroccoSC

Aspiring Daemon

Reaction score: 145
Messages: 600

Hello ljboiler,
Thank you so much for providing 4.6 to the FreeBSD community. I fully understand your comments, struggling myself quite a while with the eclipse compilation. Unfortunately the documentation I found is very scattered and mostly obsolete. I also experienced problems just cloning the repository.
For the time being I will tune my work for 4.6, which lacks a couple of useful features (for example automatic static imports) but it's not a blocker.

If anyone is interested, I work using maven build. Only the maven infrastructure is in the repository. All eclipse generated files are only locally and do not get committed. Using this workflow helps keep the code independent from the IDE/eclipse version.

Let me know if I can help by testing or some other means.

Best Regards
roccobaroccoSC
 
Top